resource "aws_alb" "nlb-prod-kr-ingress" {
  name               = "nlb-prod-kr-ingress"
  internal           = false
  load_balancer_type = "network"
  subnet_mapping {
    subnet_id = aws_subnet.sbn-prod-dmz-a.id
  }
  subnet_mapping {
    subnet_id = aws_subnet.sbn-prod-dmz-b.id
  }
  subnet_mapping {
    subnet_id = aws_subnet.sbn-prod-dmz-c.id
  }
  enable_deletion_protection = true

  tags = {
    Environment = "nlb-prod-kr-ingress"
  }
}
